Wesnoth 1.17.7 pango build error

Get help with compiling or installing the game, and discuss announcements of new official releases.

Moderator: Forum Moderators

Post Reply
User avatar
alberic89
Translator
Posts: 5
Joined: October 12th, 2021, 2:08 pm

Wesnoth 1.17.7 pango build error

Post by alberic89 »

When I build the 1.17.7 version from the source, I have the error :

Code: Select all

[ 96%] Building CXX object src/CMakeFiles/wesnoth-client.dir/font/text.cpp.o
/home/pi/wesnoth-1.17.7/src/font/text.cpp: In constructor ‘font::pango_text::pango_text()’:
/home/pi/wesnoth-1.17.7/src/font/text.cpp:100:2: error: ‘pango_layout_set_line_spacing’ was not declared in this scope
  pango_layout_set_line_spacing(layout_.get(), 1.3f);
  ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/home/pi/wesnoth-1.17.7/src/font/text.cpp:100:2: note: suggested alternative: ‘pango_layout_set_spacing’
  pango_layout_set_line_spacing(layout_.get(), 1.3f);
  ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  pango_layout_set_spacing
make[2]: *** [src/CMakeFiles/wesnoth-client.dir/build.make:5892: src/CMakeFiles/wesnoth-client.dir/font/text.cpp.o] Error 1
make[1]: *** [CMakeFiles/Makefile2:1247: src/CMakeFiles/wesnoth-client.dir/all] Error 2
make: *** [Makefile:163: all] Error 2 
Change 'pango_layout_set_line_spacing' in 'pango_layout_set_spacing' makes the error disappear, and the game seems to work well.
I use the 1.42.4-8~deb10u1 of libpango1.0-dev.
For the complete log : https://c.gmx.com/@1091385412309489919/ ... Z65SrCVxxQ
"Hacker vaillant, rien d'impossible"
User avatar
Pentarctagon
Project Manager
Posts: 5112
Joined: March 22nd, 2009, 10:50 pm
Location: Earth (occasionally)

Re: Wesnoth 1.17.7 pango build error

Post by Pentarctagon »

The minimum requirement for pango was increased to 1.44 - it looks like this was updated in INSTALL.md but not in the actual cmake/scons scripts.
99 little bugs in the code, 99 little bugs
take one down, patch it around
-2,147,483,648 little bugs in the code
User avatar
alberic89
Translator
Posts: 5
Joined: October 12th, 2021, 2:08 pm

Re: Wesnoth 1.17.7 pango build error

Post by alberic89 »

Thank you. I have upgrade pango and the build works. :D
"Hacker vaillant, rien d'impossible"
Post Reply